Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 Feb 2015 20:48:39 -0500

> 	Per my reading of the code, with-current-buffer is generally
> 	used in tar-mode.el around the smallest fragments possible.

Indeed.

> 	Please thus consider the revised patch MIMEd, which I’ve tried
> 	to make consistent with such an approach.

I think it's better, indeed.

BTW, the (set-buffer-multibyte nil) should probably just be remove (or
replaced by a cl-assert)

        Stefan